Delete EHR_STATUS tag by key

Deletes the ITEM_TAG resource(s) identified by key, associated with the target EHR_STATUS identified by uid_based_id and owned by the EHR identified by ehr_id.

Cadasto exception: the uid_based_id must be a versioned_object_uid (HIER_OBJECT_ID). Targeting a specific version with an OBJECT_VERSION_ID is not supported.

Path Parameters
  • ehr_id
    Type: string
    required

    EHR identifier taken from EHR.ehr_id.value.

  • uid_based_id
    Type: string Format: uuid
    required

    An identifier in the form of a HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. a versioned_object_uid).

    Cadasto exception: unlike the upstream openEHR ITS-REST specification, Cadasto only accepts the versioned_object_uid form on /tags endpoints. Targeting a specific version with an OBJECT_VERSION_ID is not supported — tags are scoped to the versioned object as a whole.

  • key
    Type: string
    required

    The ITEM_TAG key.

Responses
  • 204

    204 No Content is returned when the ITEM_TAG list has been successfully replaced and the Prefer header is missing or set to return=minimal.

  • 404

    404 Not Found is returned when an EHR with ehr_id does not exist, when the uid_based_id does not exist, or when the ITEM_TAG identified by key does not exist.

Request Example for delete/ehr/{ehr_id}/ehr_status/{uid_based_id}/tags/{key}
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/ehr_status/8849182c-82ad-4088-a07f-48ead4180515/tags/flag \
  --request DELETE
No Body